Bug 162186 - Error: tools/qdir_unix.cpp, line 218: a value of type "dirent64 *"
Error: tools/qdir_unix.cpp, line 218: a value of type "dirent64 *"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
1
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-30 13:50 EDT by Will L Givens
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-01 03:53:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Will L Givens 2005-06-30 13:50:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux alpha; en-US; rv:1.7.8) Gecko/20050628 Firefox/1.0.4

Description of problem:
While trying to compile with Compaq C 6.5.9

ccache cxx -c -fast -inline speed -arch ev56 -w -O3 -DQT_SHARED -DQT_NO_DEBUG -D_LARGEFILE_SOURCE -D_LARGE_FILES -D_FILE_OFFSET_BITS=64 -DQT_NO_XINERAMA -DQT_NO_IMAGEIO_MNG -DQT_NO_IMAGEIO_JPEG -DQT_BUILTIN_GIF_READER=1 -DQT_NO_STYLE_MAC -DQT_NO_STYLE_AQUA -DQT_NO_STYLE_INTERLACE -DQT_NO_STYLE_WINDOWSXP -DQT_NO_STYLE_COMPACT -DQT_NO_STYLE_POCKETPC -I/usr2/www/pub/alpha-RH7/desktop/kde-3.4.1/source/qt/qt-x11-free-3.3.4/mkspecs/linux-cxx -I. -I/usr/X11R6/include/freetype2 -I3rdparty/opentype -I../include -I/usr/X11R6/include -I.moc/release-shared/ -o .obj/release-shared/qdir_unix.o tools/qdir_unix.cpp
cxx: Error: tools/qdir_unix.cpp, line 218: a value of type "dirent64 *"
          cannot be assigned to an entity of type "dirent *"
    while ( (file = readdir(dir)) )
------------------^
cxx: Info: 1 error detected in the compilation of "tools/qdir_unix.cpp".
make[2]: *** [.obj/release-shared/qdir_unix.o] Error 1
make[2]: Leaving directory `/usr2/www/pub/alpha-RH7/desktop/kde-3.4.1/source/qt/qt-x11-free-3.3.4/src'
make[1]: *** [sub-src] Error 2
make[1]: Leaving directory `/usr2/www/pub/alpha-RH7/desktop/kde-3.4.1/source/qt/qt-x11-free-3.3.4'
make: *** [init] Error 2


Version-Release number of selected component (if applicable):
QT-3.3.4

How reproducible:
Always

Steps to Reproduce:
1../configure -prefix /usr 
2. automatically fires up 'make'
3. wait for a few minutes
  

Actual Results:  compiles qmake but during the compile of QT, it hangs on this error.

Additional info:
Comment 1 Ngo Than 2005-07-01 03:53:37 EDT
we don't support alpha plattform long ago, you should report this bug to Trolltech
please. Thanks 
Comment 2 Will L Givens 2005-07-01 04:55:05 EDT
What do u mean u don't support alpha anymore? Ever hear of ALPHACORE? The new
FEDORA release for the Alpha?
Comment 3 Ngo Than 2005-07-01 06:14:07 EDT
that means we did not build for the alpha plattform long ago since RHL9!

Note You need to log in before you can comment on or make changes to this bug.